For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList tools
      • GETGet tool
      • POSTCreate tool
      • PATCHUpdate tool
      • DELDelete tool
      • GETGet dependent agents
      • GETGet tool executions
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsTools

List tools

GET
/v1/convai/tools
GET
/v1/convai/tools
$curl https://api.elevenlabs.io/v1/convai/tools
1{
2 "tools": [
3 {
4 "id": "string",
5 "tool_config": {
6 "type": "system",
7 "name": "end_call",
8 "params": {
9 "system_tool_type": "end_call"
10 },
11 "description": ""
12 },
13 "access_info": {
14 "is_creator": true,
15 "creator_name": "John Doe",
16 "creator_email": "john.doe@example.com",
17 "role": "admin"
18 },
19 "usage_stats": {
20 "avg_latency_secs": 1.1,
21 "total_calls": 0
22 },
23 "response_mocks": [
24 {
25 "mock_result": "string",
26 "parameter_conditions": [
27 {
28 "eval": {
29 "type": "string",
30 "description": "string"
31 },
32 "path": "string"
33 }
34 ]
35 }
36 ]
37 }
38 ],
39 "has_more": true,
40 "next_cursor": "string"
41}
Get all available tools in the workspace.
Was this page helpful?
Previous

Get tool

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

searchstring or nullOptional
If specified, the endpoint returns only tools whose names start with this string.
page_sizeinteger or nullOptional1-100
How many documents to return at maximum. Can not exceed 100, defaults to 30.
show_only_owned_documentsbooleanOptionalDefaults to falseDeprecated

If set to true, the endpoint will return only tools owned by you (and not shared from somebody else). Deprecated: use created_by_user_id instead.

created_by_user_idstring or nullOptional

Filter tools by creator user ID. When set, only tools created by this user are returned. Takes precedence over show_only_owned_documents. Use ‘@me’ to refer to the authenticated user.

typeslist of enums or nullOptional
If present, the endpoint will return only tools of the given types.
Allowed values:
sort_directionenumOptional
The direction to sort the results
Allowed values:
sort_byenum or nullOptional
The field to sort the results by
Allowed values:
cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
toolslist of objects
has_moreboolean
next_cursorstring or null

Errors

422
Unprocessable Entity Error